from graphics import *

Win = GraphWin("Proiettile", 1000, 600) #Definiamo la Finestra
Win.setCoords(-1,-1,2000,800)
Win.setBackground("black")


r = [0]*3
v = [0]*3
a = [0]*3

dt = 1.e-5

a[0] = 0.
a[1] = -9.81
a[2] = 0.

v[0] = 100.
v[1] = 100.
v[2] = 0.



t = 0.
tfin = 35. # tempo totale di simulazione

k = 0

while t < tfin:

    v[0] = v[0] + a[0]*dt    # vx
    v[1] = v[1] + a[1]*dt    # vy
    v[2] = v[2] + a[2]*dt    # vz 

    r[0] = r[0] + v[0]*dt    # vx
    r[1] = r[1] + v[1]*dt    # vy
    r[2] = r[2] + v[2]*dt 

    t = t + dt


    if k%1000 == 0:
        Win.plot(r[0], r[1],"white")
        print(t, r,v)
    
    k = k + 1
